# Generated by Django 2.1.5 on 2019-02-08 11:55

import ckeditor_uploader.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import filebrowser.fields
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date de création')),
                ('modified_at', models.DateTimeField(auto_now=True, null=True, verbose_name='date de modification')),
                ('published_at', models.DateTimeField(blank=True, null=True, verbose_name='date de publication')),
                ('status', models.PositiveIntegerField(choices=[(0, 'brouillon'), (1, 'publié')], default=0, verbose_name='état de publication')),
                ('can_comment', models.BooleanField(default=False, verbose_name='Commentaires autorisés')),
                ('title', models.CharField(max_length=64)),
                ('slug', models.SlugField(unique=True, verbose_name='slug')),
                ('image', filebrowser.fields.FileBrowseField(blank=True, max_length=200, verbose_name='Image')),
                ('excerpt', models.CharField(blank=True, max_length=128, verbose_name='résumé')),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(blank=True)),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(unique=True, verbose_name='slug')),
                ('excerpt', models.CharField(blank=True, max_length=128, verbose_name='résumé')),
                ('title', models.CharField(max_length=64)),
                ('image', filebrowser.fields.FileBrowseField(blank=True, max_length=200, verbose_name='Image')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='bab_cms.Category')),
            ],
            options={
                'verbose_name': 'Catégorie',
                'verbose_name_plural': 'catégories',
            },
        ),
        migrations.CreateModel(
            name='Note',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date de création')),
                ('content', models.TextField()),
                ('display', models.BooleanField(default=True, verbose_name='afficher')),
                ('css_class', models.CharField(choices=[('', '-'), ('primary', 'primary'), ('secondary', 'secondary'), ('success', 'success'), ('danger', 'danger'), ('warning', 'warning'), ('info', 'info')], default='', max_length=16, verbose_name="type d'affichage")),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date de création')),
                ('modified_at', models.DateTimeField(auto_now=True, null=True, verbose_name='date de modification')),
                ('published_at', models.DateTimeField(blank=True, null=True, verbose_name='date de publication')),
                ('status', models.PositiveIntegerField(choices=[(0, 'brouillon'), (1, 'publié')], default=0, verbose_name='état de publication')),
                ('can_comment', models.BooleanField(default=False, verbose_name='Commentaires autorisés')),
                ('title', models.CharField(max_length=64)),
                ('slug', models.SlugField(unique=True, verbose_name='slug')),
                ('image', filebrowser.fields.FileBrowseField(blank=True, max_length=200, verbose_name='Image')),
                ('excerpt', models.CharField(blank=True, max_length=128, verbose_name='résumé')),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(blank=True)),
                ('categories', models.ManyToManyField(related_name='post', to='bab_cms.Category', verbose_name='catégorie')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='post_created_publications', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='post_modified_publications', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ('-published_at',),
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='article',
            name='categories',
            field=models.ManyToManyField(related_name='article', to='bab_cms.Category', verbose_name='catégorie'),
        ),
        migrations.AddField(
            model_name='article',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='article_created_publications', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='article',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='article_modified_publications', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='article',
            name='parent',
            field=mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='bab_cms.Article'),
        ),
        migrations.AlterUniqueTogether(
            name='category',
            unique_together={('parent', 'slug')},
        ),
    ]
